## kalarm 25.08.1+p24.04+vstable+git20251001.0621

=== debian/changelog ===
kalarm (4:25.08.1+p24.04+vstable+git20251001.0621-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:21:50 +0000

kalarm (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:34:01 +0000

kalarm (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:08:30 +0000

kalarm (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:47:55 +0000

kalarm (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:59:15 +0000

kalarm (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:49:32 +0000

kalarm (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 11:38:05 +0000

kalarm (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:07:31 +0000

kalarm (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:07:00 +0000

kalarm (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:56:07 +0000

kalarm (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:53:04 +0000

kalarm (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:53:43 +0000

kalarm (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:31:05 +0000

kalarm (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:06:33 +0000

kalarm (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:14:58 +0000

kalarm (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 11:51:31 +0000

kalarm (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:17:21 +0000

kalarm (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:04:18 +0000

kalarm (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:58:43 +0000

kalarm (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:39:35 +0000

kalarm (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Nov 2023 13:06:45 +0000

kalarm (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:16:14 +0000

kalarm (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 20:42:23 +0000

kalarm (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:46:02 +0000

kalarm (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:27:36 +0000

kalarm (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:02:15 +0000

kalarm (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:31:13 +0000

kalarm (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:08:31 +0000

kalarm (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:14:23 +0000

kalarm (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:37:27 +0000

kalarm (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Sep 2022 12:27:09 +0000

kalarm (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:38:32 +0000

kalarm (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:25:15 +0000

kalarm (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:50:33 +0000

kalarm (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:43:45 +0000

kalarm (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:57:01 +0000

kalarm (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:06:07 +0000

kalarm (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:32 +0000

kalarm (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:17:00 +0000

kalarm (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:24 +0000

kalarm (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:42:13 +0000

kalarm (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:28 +0000

kalarm (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:01:53 +0000

kalarm (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:57 +0000

kalarm (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:19:58 +0000

kalarm (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:57:05 +0000

kalarm (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:20 +0000



## kalarm 25.08.1+p24.04+vstable+git20251003.1209

=== debian/changelog ===
kalarm (4:25.08.1+p24.04+vstable+git20251003.1209-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 12:09:36 +0000

## kalarm 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
set(PIM_VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "2")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

# Whenever KALARM_VERSION changes, set the 3 variables below it to the first
# KDE Release Service version which will contain that KAlarm release.
# (This must be the full release version, not an alpha or beta release.)
set(KALARM_VERSION "3.11.3")
set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "25")
set(KALARM_VERSION_RELEASE_SERVICE_MINOR "08")
set(KALARM_VERSION_RELEASE_SERVICE_MICRO "2")

# If KAlarm's version has not changed since the last KDE Release Service version,
# this code sets a sub-version x.x.x.N to avoid duplicate version numbers in
# org.kde.kalarm.appdata.xml, which cause appstream to choke.
math(EXPR LAST_RELEASE_MONTH "${KALARM_VERSION_RELEASE_SERVICE_MAJOR} * 12 + ${KALARM_VERSION_RELEASE_SERVICE_MINOR} + ${KALARM_VERSION_RELEASE_SERVICE_MICRO}")
math(EXPR THIS_RELEASE_MONTH "${RELEASE_SERVICE_VERSION_MAJOR} * 12 + ${RELEASE_SERVICE_VERSION_MINOR} + ${RELEASE_SERVICE_VERSION_MICRO}")
math(EXPR KALARM_RELEASE_SUB_VERSION "${THIS_RELEASE_MONTH} - ${LAST_RELEASE_MONTH}")
if(${KALARM_RELEASE_SUB_VERSION} GREATER 0)
    set(KALARM_VERSION "${KALARM_VERSION}.${KALARM_RELEASE_SUB_VERSION}")
endif()

project(kalarm VERSION ${KALARM_VERSION})

set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
set(QT_REQUIRED_VERSION "6.8.0")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
# Do NOT add quote
set(KDEPIM_DEV_VERSION)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()


set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
set(AKONADI_VERSION "6.5.2")
set(AKONADI_MIMELIB_VERSION "6.5.2")
set(AKONADI_CONTACT_VERSION "6.5.2")
set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
set(KMIME_LIB_VERSION "6.5.2")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
set(CALENDARUTILS_LIB_VERSION "6.5.2")


option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
add_feature_info(AKONADI_PLUGIN ${ENABLE_AKONADI_PLUGIN} "Provides features dependent on Akonadi (including birthday import,
                   email functions, email address book, first run resource migration)")

option(ENABLE_RTC_WAKE_FROM_SUSPEND "Enable RTC wake-from-suspend alarms (requires KAuth)" ON)
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    find_package(KF6Auth ${KF_MIN_VERSION})
    if(NOT KF6Auth_FOUND)
        set(ENABLE_RTC_WAKE_FROM_SUSPEND OFF)
    endif()
endif()
add_feature_info(RTC_WAKE_FROM_SUSPEND ${ENABLE_RTC_WAKE_FROM_SUSPEND} "If kernel timers are not available, use RTC for wake-from-suspend alarms")

# Find KF6 packages
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Completion ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6GlobalAccel ${KF_MIN_VERSION})
find_package(KF6GuiAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Holidays ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6JobWidgets ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6StatusNotifierItem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6IconThemes ${KF_MIN_VERSION})

find_package(KF6DocTools ${KF_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)

if(TARGET KF6::GlobalAccel)
    add_definitions(-DHAVE_GLOBAL_ACCEL_SUPPORT)
endif()

# Find KDE PIM packages
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

# Build support for audio backend plugins
option(ENABLE_LIBVLC "Build support for LibVLC" ON)
add_feature_info(ENABLE_LIBVLC ${ENABLE_LIBVLC} "Provides support for playing sound files using LibVLC")
if(WIN32)
option(ENABLE_LIBMPV "Build support for Libmpv" OFF)
else()
option(ENABLE_LIBMPV "Build support for Libmpv" ON)
endif()
add_feature_info(ENABLE_LIBMPV ${ENABLE_LIBMPV} "Provides support for playing sound files using Libmpv")

if(ENABLE_LIBVLC)
    find_package(LibVLC "3.0.0" QUIET REQUIRED)
    set_package_properties(LibVLC PROPERTIES PURPOSE "Used to play audio alarms")
endif()
if(ENABLE_LIBMPV)
    # Note: libmpv < 2.2.0 has threading issues which cause hang-ups
    find_package(Libmpv "2.2.0" QUIET REQUIRED)
    set_package_properties(Libmpv PROPERTIES PURPOSE "Used to play audio alarms")
endif()
if(NOT ENABLE_LIBVLC AND NOT ENABLE_LIBMPV)
    message(FATAL_ERROR "One or more of ENABLE_LIBVLC or ENABLE_LIBMPV must be enabled for support for playing sound files")
endif()

find_package(KF6TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(KF6TextEditTextToSpeech PROPERTIES DESCRIPTION
    "Add support for text to speech"
    TYPE OPTIONAL
)

if(TARGET KF6::TextEditTextToSpeech)
    add_definitions(-DHAVE_TEXT_TO_SPEECH_SUPPORT)
endif()

if(ENABLE_AKONADI_PLUGIN)
    find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
    find_package(KPim6AkonadiContactWidgets ${AKONADI_CONTACT_VERSION} CONFIG REQUIRED)
    find_package(KPim6AkonadiMime ${AKONADI_MIMELIB_VERSION} CONFIG REQUIRED)
    find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
endif()

configure_file(kalarm-version-string.h.in ${CMAKE_CURRENT_BINARY_DIR}/kalarm-version-string.h @ONLY)

if(NOT APPLE)
    option(WITHOUT_X11 "Build without X11 integration (skips finding X11)" OFF)
    add_feature_info(WITHOUT_X11 ${WITHOUT_X11} "Disable X11 integration, even if X11 is available")
    if(NOT WITHOUT_X11)
        find_package(X11)
        set(ENABLE_X11 ${X11_FOUND})
        if(X11_FOUND)
            find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui)
            add_feature_info(ENABLE_X11 ${ENABLE_X11} "Enable use of X11")
        endif()
    endif()
endif()

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

configure_file(src/config-kalarm.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kalarm.h)

include_directories(${kalarm_SOURCE_DIR} ${kalarm_BINARY_DIR})

add_definitions(-DQT_MESSAGELOGCONTEXT)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
    EXPORT KALARM
    FILE kalarm.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/autostart/CMakeLists.txt ===
include_directories(../  )

########### next target ###############

add_executable(kalarmautostart ${kalarmautostart_SRCS})
target_sources(kalarmautostart PRIVATE
    autostart.cpp
    autostart.h
)

ecm_qt_declare_logging_category(kalarmautostart
                                HEADER kalarm_autostart_debug.h
                                IDENTIFIER KALARMAUTOSTART_LOG
                                CATEGORY_NAME org.kde.pim.autostart_kalarm
                                DESCRIPTION "kalarm (autostart_kalarm)"
                                OLD_CATEGORY_NAMES log_autostart_kalarm
                                EXPORT KALARM
                                )


file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../icons/hicolor/*-apps-kalarm.png")
ecm_add_app_icon(kalarmautostart ICONS ${ICONS_SRCS})


target_link_libraries(kalarmautostart
    KF6::I18n
    KF6::CoreAddons
    Qt::Widgets
    Qt::DBus)

install(TARGETS kalarmautostart  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kalarm (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:40:35 +0100

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadimime-dev (>= 4:25.08.2~),
               libkcalendarutils-dev (>= 4:25.08.2~),
               libkf6auth-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6globalaccel-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               libktextaddons-dev (>= 1.5.4~),
               libmpv-dev,
               libvlc-dev (>= 3.0.0~),
               libvlccore-dev (>= 3.0.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kalarm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kalarm
Rules-Requires-Root: no

Package: kalarm
Architecture: any
Depends: akonadi-server, ${misc:Depends}, ${shlibs:Depends},
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

testsuite_failing_archs := armel armhf i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@

override_dh_auto_test:
	dh_auto_test $(fail_param)

## kalarm 25.08.2+p24.04+vstable+git20251016.0805

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251016.0805-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 08:05:43 +0000

kalarm (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:21:19 +0000

## kalarm 25.08.2+p24.04+vstable+git20251019.0841

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251019.0841-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:41:11 +0000

## kalarm 25.08.2+p24.04+vstable+git20251022.0018

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251022.0018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 00:18:51 +0000

## kalarm 25.08.2+p24.04+vstable+git20251030.0029

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.3")
 set(PIM_VERSION ${PIM_VERSION})
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "08")
@@ -59,18 +59,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.5.2")
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.3")
+set(AKONADI_MIMELIB_VERSION "6.5.3")
+set(AKONADI_CONTACT_VERSION "6.5.3")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
+set(KMIME_LIB_VERSION "6.5.3")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
+set(CALENDARUTILS_LIB_VERSION "6.5.3")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251030.0029-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:29:15 +0000

## kalarm 25.08.2+p24.04+vstable+git20251031.1000

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vstable+git20251031.1000-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:01:00 +0000

## kalarm 25.08.2+p24.04+vunstable+git20251013.1156

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.3")
+set(PIM_VERSION "6.5.40")
 set(PIM_VERSION ${PIM_VERSION})
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "2")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Whenever KALARM_VERSION changes, set the 3 variables below it to the first
 # KDE Release Service version which will contain that KAlarm release.
 # (This must be the full release version, not an alpha or beta release.)
-set(KALARM_VERSION "3.11.3")
+set(KALARM_VERSION "3.12.0")
 set(KALARM_VERSION_RELEASE_SERVICE_MAJOR "25")
-set(KALARM_VERSION_RELEASE_SERVICE_MINOR "08")
-set(KALARM_VERSION_RELEASE_SERVICE_MICRO "2")
+set(KALARM_VERSION_RELEASE_SERVICE_MINOR "12")
+set(KALARM_VERSION_RELEASE_SERVICE_MICRO "0")
 
 # If KAlarm's version has not changed since the last KDE Release Service version,
 # this code sets a sub-version x.x.x.N to avoid duplicate version numbers in
@@ -26,10 +26,11 @@
 
 project(kalarm VERSION ${KALARM_VERSION})
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 include(ECMInstallIcons)
 
 include(ECMSetupVersion)
@@ -48,9 +49,9 @@
 include(ECMDeprecationSettings)
 include(ECMFeatureSummary)
 set(QT_REQUIRED_VERSION "6.8.0")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
+set(KDEPIM_DEV_VERSION alpha)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -59,18 +60,18 @@
 
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
-set(AKONADI_VERSION "6.5.3")
-set(AKONADI_MIMELIB_VERSION "6.5.3")
-set(AKONADI_CONTACT_VERSION "6.5.3")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.3")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.3")
-set(KMIME_LIB_VERSION "6.5.3")
+set(AKONADI_VERSION "6.5.40")
+set(AKONADI_MIMELIB_VERSION "6.5.40")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.41")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
 find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED DBus Gui Network Widgets)
-set(CALENDARUTILS_LIB_VERSION "6.5.3")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
 
 
 option(ENABLE_AKONADI_PLUGIN "Build the Akonadi plugin" ON)
@@ -190,7 +191,7 @@
 
 add_definitions(-DQT_MESSAGELOGCONTEXT)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.18.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251013.1156-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 11:56:31 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON \
		-DBUILD_QCH=ON \
		-DENABLE_AKONADI_PLUGIN=ON \
		-DENABLE_RTC_WAKE_FROM_SUSPEND=ON

## kalarm 25.08.2+p24.04+vunstable+git20251015.2021

=== CMakeLists.txt ===
--- 
+++ 
@@ -191,7 +191,7 @@
 
 add_definitions(-DQT_MESSAGELOGCONTEXT)
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.8.1  KF 6.19.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251015.2021-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:21:18 +0000

## kalarm 25.08.2+p24.04+vunstable+git20251020.0721

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251020.0721-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:21:44 +0000

## kalarm 25.08.2+p24.04+vunstable+git20251022.0222

=== CMakeLists.txt ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 project(kalarm VERSION ${KALARM_VERSION})
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kalarm_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

=== src/CMakeLists.txt ===
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/
)

add_subdirectory(kalarmcalendar)
if(ENABLE_AKONADI_PLUGIN)
    add_subdirectory(akonadiplugin)
endif()
add_subdirectory(audioplugin)
add_subdirectory(icons)
add_subdirectory(autostart)
add_subdirectory(kconf_update)

########### next target ###############


add_library(kalarmplugin)

target_sources(kalarmplugin PRIVATE
    pluginbaseakonadi.cpp
    pluginbaseaudio.cpp
    pluginmanager.cpp
    kalarm_debug.cpp
    pluginbaseakonadi.h
    pluginbaseaudio.h
    pluginmanager.h
    kalarm_debug.h
)
generate_export_header(kalarmplugin BASE_NAME kalarmpluginlib)

target_link_libraries(kalarmplugin PRIVATE
    kalarmcalendar
    KF6::CoreAddons
    KF6::CalendarCore
    KPim6::Mime
)

target_include_directories(kalarmplugin PUBLIC "$<BUILD_INTERFACE:${kalarm_SOURCE_DIR}/src/kalarmcalendar>")

set_target_properties(kalarmplugin
    PROPERTIES VERSION ${KDEPIM_LIB_VERSION}
    SOVERSION ${KDEPIM_LIB_SOVERSION}
    )

install(TARGETS kalarmplugin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


########### next target ###############

set(libkalarm_common_SRCS)

ecm_qt_declare_logging_category(libkalarm_common_SRCS
                                HEADER kalarm_debug.h
                                IDENTIFIER KALARM_LOG
                                CATEGORY_NAME org.kde.pim.kalarm
                                DEFAULT_SEVERITY Warning
                                DESCRIPTION "kalarm (kalarm)"
                                OLD_CATEGORY_NAMES log_kalarm
                                EXPORT KALARM
                                )

set(libkalarm_SRCS
    lib/buttongroup.cpp
    lib/checkbox.cpp
    lib/colourbutton.cpp
    lib/combobox.cpp
    lib/config.cpp
    lib/desktop.cpp
    lib/dragdrop.cpp
    lib/file.cpp
    lib/filedialog.cpp
    lib/groupbox.cpp
    lib/label.cpp
    lib/locale.cpp
    lib/messagebox.cpp
    lib/packedlayout.cpp
    lib/pushbutton.cpp
    lib/radiobutton.cpp
    lib/timeedit.cpp
    lib/timespinbox.cpp
    lib/timeperiod.cpp
    lib/timezonecombo.cpp
    lib/shellprocess.cpp
    lib/slider.cpp
    lib/spinbox.cpp
    lib/spinbox2.cpp
    lib/stackedwidgets.cpp
    lib/tooltip.cpp
    lib/lineedit.cpp
    lib/synchtimer.cpp
    lib/buttongroup.h
    lib/checkbox.h
    lib/colourbutton.h
    lib/combobox.h
    lib/config.h
    lib/desktop.h
    lib/dragdrop.h
    lib/file.h
    lib/filedialog.h
    lib/groupbox.h
    lib/label.h
    lib/locale.h
    lib/messagebox.h
    lib/packedlayout.h
    lib/pushbutton.h
    lib/radiobutton.h
    lib/timeedit.h
    lib/timespinbox.h
    lib/timeperiod.h
    lib/timezonecombo.h
    lib/shellprocess.h
    lib/slider.h
    lib/spinbox.h
    lib/spinbox2.h
    lib/stackedwidgets.h
    lib/tooltip.h
    lib/lineedit.h
    lib/synchtimer.h
   )
set(resources_SRCS
    resources/calendarfunctions.cpp
    resources/resourcetype.cpp
    resources/resource.cpp
    resources/resources.cpp
    resources/resourcedatamodelbase.cpp
    resources/resourcemodel.cpp
    resources/resourceselectdialog.cpp
    resources/resourcecreator.cpp
    resources/eventmodel.cpp
    resources/datamodel.cpp
    resources/calendarupdater.cpp
    resources/fileresource.cpp
    resources/fileresourceconfigmanager.cpp
    resources/fileresourcecreator.cpp
    resources/fileresourcedatamodel.cpp
    resources/fileresourcesettings.cpp
    resources/fileresourcecalendarupdater.cpp
    resources/singlefileresource.cpp
    resources/singlefileresourceconfigdialog.cpp
    resources/migration/dirresourceimportdialog.cpp
    resources/migration/fileresourcemigrator.cpp
    resources/calendarfunctions.h
    resources/resourcetype.h
    resources/resource.h
    resources/resources.h
    resources/resourcedatamodelbase.h
    resources/resourcemodel.h
    resources/resourceselectdialog.h
    resources/resourcecreator.h
    resources/eventmodel.h
    resources/datamodel.h
    resources/calendarupdater.h
    resources/fileresource.h
    resources/fileresourceconfigmanager.h
    resources/fileresourcecreator.h
    resources/fileresourcedatamodel.h
    resources/fileresourcesettings.h
    resources/fileresourcecalendarupdater.h
    resources/singlefileresource.h
    resources/singlefileresourceconfigdialog.h
    resources/migration/dirresourceimportdialog.h
    resources/migration/fileresourcemigrator.h
   )

set(kalarm_bin_SRCS ${libkalarm_SRCS} ${resources_SRCS}
    ${libkalarm_common_SRCS}
    data/kalarm.qrc
    main.cpp
    birthdaydlg.cpp
    editdlg.cpp
    editdlgtypes.cpp
    soundpicker.cpp
    sounddlg.cpp
    displaycalendar.cpp
    resourcescalendar.cpp
    undo.cpp
    kalarmapp.cpp
    mainwindowbase.cpp
    mainwindow.cpp
    messagedisplay.cpp
    messagedisplayhelper.cpp
    messagenotification.cpp
    messagewindow.cpp
    preferences.cpp
    prefdlg.cpp
    traywindow.cpp
    dbushandler.cpp
    recurrenceedit.cpp
    deferdlg.cpp
    eventid.cpp
    functions.cpp
    fontcolour.cpp
    fontcolourbutton.cpp
    alarmtimewidget.cpp
    specialactions.cpp
    reminder.cpp
    startdaytimer.cpp
    eventlistview.cpp
    alarmlistdelegate.cpp
    alarmlistview.cpp
    templatelistview.cpp
    kamail.cpp
    kernelwakealarm.cpp
    timeselector.cpp
    latecancel.cpp
    repetitionbutton.cpp
    emailidcombo.cpp
    find.cpp
    pickfileradio.cpp
    newalarmaction.cpp
    commandoptions.cpp
    resourceselector.cpp
    datepicker.cpp
    daymatrix.cpp
    templatepickdlg.cpp
    templatedlg.cpp
    templatemenuaction.cpp
    birthdaydlg.h
    editdlg.h
    editdlgtypes.h
    soundpicker.h
    sounddlg.h
    displaycalendar.h
    resourcescalendar.h
    undo.h
    kalarmapp.h
    mainwindowbase.h
    mainwindow.h
    messagedisplay.h
    messagedisplayhelper.h
    messagenotification.h
    messagewindow.h
    preferences.h
    prefdlg.h
    traywindow.h
    dbushandler.h
    recurrenceedit.h
    deferdlg.h
    eventid.h
    functions.h
    fontcolour.h
    fontcolourbutton.h
    alarmtimewidget.h
    specialactions.h
    reminder.h
    startdaytimer.h
    eventlistview.h
    alarmlistdelegate.h
    alarmlistview.h
    templatelistview.h
    kamail.h
    kernelwakealarm.h
    timeselector.h
    latecancel.h
    repetitionbutton.h
    emailidcombo.h
    find.h
    pickfileradio.h
    newalarmaction.h
    commandoptions.h
    resourceselector.h
    datepicker.h
    daymatrix.h
    templatepickdlg.h
    templatedlg.h
    templatemenuaction.h
)
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    set(kalarm_bin_SRCS ${kalarm_bin_SRCS}
        wakedlg.cpp
        wakedlg.h
    )
endif()

ki18n_wrap_ui(kalarm_bin_SRCS
    wakedlg.ui
    resources/singlefileresourceconfigdialog.ui
    resources/migration/dirresourceimportdialog_intro.ui
    resources/migration/dirresourceimportdialog_type.ui
)

qt_add_dbus_adaptor(kalarm_bin_SRCS data/org.kde.kalarm.kalarm.xml dbushandler.h DBusHandler)

qt_add_dbus_interfaces(kalarm_bin_SRCS data/org.kde.kmail.kmail.xml)

qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.Notifications.xml notifications_interface)
qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.DBus.Properties.xml dbusproperties)
qt_add_dbus_interface(kalarm_bin_SRCS data/org.freedesktop.ScreenSaver.xml screensaver)

kconfig_add_kcfg_files(kalarm_bin_SRCS GENERATE_MOC data/kalarmconfig.kcfgc)

#if(UNIX)
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hicolor/*-apps-kalarm.png")
ecm_add_app_icon(kalarm_bin ICONS ${ICONS_SRCS})
add_executable(kalarm_bin ${kalarm_bin_SRCS})

set_target_properties(kalarm_bin PROPERTIES OUTPUT_NAME kalarm)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(kalarm_bin PROPERTIES UNITY_BUILD ON)
endif()

target_compile_definitions(kalarm_bin PRIVATE -DVERSION="${KALARM_VERSION}")


target_link_libraries(kalarm_bin
    kalarmcalendar
    kalarmplugin
    KF6::Codecs
    KF6::ConfigCore
    KF6::Completion
    KF6::DBusAddons
    KF6::GuiAddons
    KF6::Holidays
    KF6::ItemModels
    KF6::KIOWidgets
    KF6::Notifications
    KF6::NotifyConfig
    KF6::TextWidgets
    KF6::WindowSystem
    KF6::XmlGui
    KF6::KIOFileWidgets
    KF6::Crash
    KF6::StatusNotifierItem
    KF6::CalendarCore
    KPim6::CalendarUtils
    KF6::Contacts
    KPim6::IdentityManagementWidgets
    KPim6::Mime
)

if(TARGET KF6::GlobalAccel)
    target_link_libraries(kalarm_bin
        KF6::GlobalAccel
    )
endif()

if(ENABLE_LIBVLC)
    target_link_libraries(kalarm_bin LibVLC::LibVLC)
    target_compile_definitions(kalarm_bin PUBLIC -DHAVE_LIBVLC)
endif()
if(ENABLE_LIBMPV)
    target_link_libraries(kalarm_bin Libmpv::Libmpv)
    target_compile_definitions(kalarm_bin PUBLIC -DHAVE_LIBMPV)
endif()

if(TARGET KF6::TextEditTextToSpeech)
    target_link_libraries(kalarm_bin KF6::TextEditTextToSpeech)
endif()
if(TARGET KF6::IconThemes)
    target_link_libraries(kalarm_bin KF6::IconThemes)
endif()
if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    target_link_libraries(kalarm_bin KF6::AuthCore)
endif()

if(ENABLE_X11)
    target_link_libraries(kalarm_bin ${X11_X11_LIB})
endif()

install(TARGETS kalarm_bin ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
#endif(UNIX)

########### install files ###############

install(FILES data/org.kde.kalarm.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES data/kalarm.autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES data/org.kde.kalarm.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

install(FILES data/kalarmconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES data/org.kde.kalarm.kalarm.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR})
install(FILES data/kalarm.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

########### KAuth helper ###############

if(ENABLE_RTC_WAKE_FROM_SUSPEND)
    add_executable(kalarm_helper rtcwakeaction.cpp rtcwakeaction.h ${libkalarm_common_SRCS})
    target_link_libraries(kalarm_helper KF6::AuthCore KF6::I18n)
    install(TARGETS kalarm_helper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
    kauth_install_helper_files(kalarm_helper org.kde.kalarm.rtcwake root)
    kauth_install_actions(org.kde.kalarm.rtcwake data/org.kde.kalarm.rtcwake.actions)
endif()

=== debian/changelog ===
kalarm (4:25.08.2+p24.04+vunstable+git20251022.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:22:47 +0000

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-mimetreeparser-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libcanberra-dev,
               libmpv-dev,
               libvlc-dev,
               libvlccore-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kalarm.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalarm
Maintainer: Neon CI <neon@kde.org>

Package: kalarm
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Replaces: libkf5alarmcalendar-dev,
          libkf5alarmcalendar5,
          libkpim6alarmcalendar-dev,
          libkpim6alarmcalendar6
Suggests: jovie
Homepage: http://www.astrojar.org.uk/kalarm/
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.

Package: libkpim6alarmcalendar-dev
Architecture: all
Depends: kalarm, ${misc:Depends}
Description: transitional package
 transitional package can be safely removed.

Package: libkpim6alarmcalendar6
Architecture: all
Depends: kalarm, ${misc:Depends}
Description: transitional package
 transitional package can be safely removed.

Package: libkf5alarmcalendar-dev
Architecture: all
Depends: kalarm, ${misc:Depends}
Description: transitional package
 transitional package can be safely removed.

Package: libkf5alarmcalendar5
Architecture: all
Depends: kalarm, ${misc:Depends}
Description: transitional package
 transitional package can be safely removed.

## kalarm 25.08.3

=== src/audioplugin/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none

# This builds KAlarm's audio plugins, which provide audio backends.

set(audioplugin_SRCS
    audioplugin.cpp
    audioplayer.cpp
    audioplugin.h
    audioplayer.h
)

ecm_qt_declare_logging_category(audioplugin_SRCS
                                HEADER audioplugin_debug.h
				IDENTIFIER AUDIOPLUGIN_LOG
                                CATEGORY_NAME org.kde.pim.kalarm.audioplugin
                                DEFAULT_SEVERITY Warning
                                DESCRIPTION "kalarm (audio plugin)"
				EXPORT AUDIOPLUGIN
                               )

if(ENABLE_LIBVLC)
    kcoreaddons_add_plugin(audioplugin_vlc
        SOURCES
            ${audioplugin_SRCS}
            audioplayer_vlc.cpp
            audioplugin_vlc.cpp
            audioplayer_vlc.h
            audioplugin_vlc.h
        INSTALL_NAMESPACE "pim6/kalarm"
    )

    set_target_properties(audioplugin_vlc
        PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/plugins/kalarm")
    target_link_libraries(audioplugin_vlc
        kalarmplugin
	KF6::CoreAddons
        KF6::I18n
        LibVLC::LibVLC
    )
    target_include_directories(audioplugin_vlc
        PUBLIC "$<BUILD_INTERFACE:${kalarm_SOURCE_DIR}/src/audioplugin;${kalarm_BINARY_DIR}/src/audioplugin>")
    generate_export_header(audioplugin_vlc BASE_NAME audioplugin_vlc)
endif()

if(ENABLE_LIBMPV)
    kcoreaddons_add_plugin(audioplugin_mpv
        SOURCES
            ${audioplugin_SRCS}
            audioplayer_mpv.cpp
            audioplugin_mpv.cpp
            audioplayer_mpv.h
            audioplugin_mpv.h
        INSTALL_NAMESPACE "pim6/kalarm"
    )

    set_target_properties(audioplugin_mpv
        PROPERTIES LIBRARY_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin/plugins/kalarm")
    target_link_libraries(audioplugin_mpv
        kalarmplugin
	KF6::CoreAddons
        KF6::I18n
        Libmpv::Libmpv
    )
    generate_export_header(audioplugin_mpv BASE_NAME audioplugin_mpv)
endif()

=== debian/changelog ===
kalarm (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:58:58 +0100

kalarm (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:19 +0100

=== debian/control ===
Source: kalarm
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.14.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.3~),
               libakonadicontact-dev (>= 4:25.08.3~),
               libakonadimime-dev (>= 4:25.08.3~),
               libkcalendarutils-dev (>= 4:25.08.3~),
               libkf6auth-dev (>= 6.14.0~),
               libkf6calendarcore-dev (>= 6.14.0~),
               libkf6codecs-dev (>= 6.14.0~),
               libkf6completion-dev (>= 6.14.0~),
               libkf6config-dev (>= 6.14.0~),
               libkf6configwidgets-dev (>= 6.14.0~),
               libkf6contacts-dev (>= 6.14.0~),
               libkf6crash-dev (>= 6.14.0~),
               libkf6dbusaddons-dev (>= 6.14.0~),
               libkf6doctools-dev (>= 6.14.0~),
               libkf6globalaccel-dev (>= 6.14.0~),
               libkf6guiaddons-dev (>= 6.14.0~),
               libkf6holidays-dev (>= 6.14.0~),
               libkf6i18n-dev (>= 6.14.0~),
               libkf6iconthemes-dev (>= 6.14.0~),
               libkf6itemmodels-dev (>= 6.14.0~),
               libkf6jobwidgets-dev (>= 6.14.0~),
               libkf6kio-dev (>= 6.14.0~),
               libkf6notifications-dev (>= 6.14.0~),
               libkf6notifyconfig-dev (>= 6.14.0~),
               libkf6service-dev (>= 6.14.0~),
               libkf6statusnotifieritem-dev (>= 6.14.0~),
               libkf6textwidgets-dev (>= 6.14.0~),
               libkf6widgetsaddons-dev (>= 6.14.0~),
               libkf6windowsystem-dev (>= 6.14.0~),
               libkf6xmlgui-dev (>= 6.14.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libktextaddons-dev (>= 1.6.0~),
               libmpv-dev,
               libvlc-dev (>= 3.0.0~),
               libvlccore-dev (>= 3.0.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/kalarm
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalarm
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalarm.git
Rules-Requires-Root: no

Package: kalarm
Architecture: any
Depends: akonadi-server,
         ${misc:Depends},
         ${shlibs:Depends},
Description: alarm message, command and email scheduler
 KAlarm provides a graphical interface to schedule personal timed events -
 pop-up alarm messages, command execution and sending emails. There is a
 range of options for configuring recurring events.
 .
 A pop-up alarm can show either a simple text message, or the contents of a
 text or image file. It can optionally be spoken, or play a sound file. You
 can choose its appearance, and set reminders. Among KAlarm's other
 facilities, you can set up templates to allow KAlarm to be used as a 'tea
 timer'.
